/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.evasion.ejbfacade;

import com.evasion.entity.security.Group;
import com.evasion.entity.security.User;
import com.evasion.ejb.local.UserAuthServiceLocal;
import com.evasion.ejb.remote.UserAuthServiceRemote;
import java.util.Date;
import java.util.List;
import javax.ejb.Local;
import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author user
 */
@Stateless
@Local(value = UserAuthServiceLocal.class)
@Remote(value = UserAuthServiceRemote.class)
public class UserAuthService implements UserAuthServiceRemote, UserAuthServiceLocal {

    @PersistenceContext(unitName = "EvasionPU")
    private EntityManager em;

    @Override
    public List<User> listUsers() {
        return (new com.evasion.plugin.security.UserAuthService(em)).listUsers();
    }

    @Override
    public User createUser(User u) {
        return (new com.evasion.plugin.security.UserAuthService(em)).createUser(u);
    }

    @Override
    public User findUserByUserName(String u) {
        return (new com.evasion.plugin.security.UserAuthService(em)).findUserByUserName(u);

    }

    @Override
    public void deleteUser(User u) {
        (new com.evasion.plugin.security.UserAuthService(em)).deleteUser(u);
    }

    @Override
    public User updateUser(User u) {
        return (new com.evasion.plugin.security.UserAuthService(em)).updateUser(u);
    }

    @Override
    public List<Group> listGroups() {
        return (new com.evasion.plugin.security.UserAuthService(em)).listGroups();
    }

    @Override
    public Date lastLoginForUser(String login) {
        return (new com.evasion.plugin.security.UserAuthService(em)).lastLoginForUser(login);
    }

    @Override
    public void updateLastLogin(String userName) {
        (new com.evasion.plugin.security.UserAuthService(em)).updateLastLogin(userName);
    }
}
